Bug 125567 - ghostscript starts with null output device
Summary: ghostscript starts with null output device
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-08 20:08 UTC by Dmitry Khotyanovsky
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 12:18:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dmitry Khotyanovsky 2004-06-08 20:08:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When started from the command line, "gs" does not display a window
as expected.  "gs -sDEVICE=x11" works OK.

In previous releases, "gs -h" reported the default output device as
"x11", now it is "display", which is probably undefined.




Version-Release number of selected component (if applicable):
ghostscript-7.07-25

How reproducible:
Always

Steps to Reproduce:
1. Start X server.
2. Start a terminal window.
2. Run "gs" from the command line.

    

Actual Results:  gs produces usual output in the window, no graphical
output is displayed

Expected Results:  A graphical display window should appear

Additional info:

Comment 1 Tim Waugh 2004-06-24 15:22:43 UTC
Yes, I've noticed that too.

Comment 2 Tim Waugh 2004-06-24 15:35:38 UTC
Hmm, this isn't just a typo or confusion between display/x11 -- gsx,
for example, works.



Comment 3 Dmitry Khotyanovsky 2004-06-24 18:09:13 UTC
Yes, gsx works (or, whatever... gv, ggv, kghostview, they all work) 

Comment 4 Matthew Miller 2005-04-26 16:27:09 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 5 Matthew Miller 2005-04-27 12:18:25 UTC
I don't think this is actually a bug. It's the documented behavior of gs, even
though it surprises people.

Comment 6 Dmitry Khotyanovsky 2005-06-08 12:14:17 UTC
"export GS_DEVICE=x11" solves this problem

Comment 7 Matthew Miller 2005-06-08 12:42:28 UTC
Hmmm. Maybe it'd be reasonable to drop that into /etc/profile.d....


Note You need to log in before you can comment on or make changes to this bug.